org.bdgenomics.adam.cli

# PrintADAM

###
Related Docs: object PrintADAM | package cli

#### class PrintADAM extends BDGSparkCommand[PrintADAMArgs]

Linear Supertypes
BDGSparkCommand[PrintADAMArgs], Logging, BDGCommand, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PrintADAM
2. BDGSparkCommand
3. Logging
4. BDGCommand
5. Runnable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new PrintADAM(args: PrintADAMArgs)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val args: PrintADAMArgs

   Attributes
     protected
   Definition Classes
     PrintADAM → BDGSparkCommand

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val companion: PrintADAM.type

   Definition Classes
     PrintADAM → BDGCommand

8. #### def displayRaw(sc: SparkContext, file: String, pretty: Boolean = false, output: Option[String] = None): Unit

   Display any Parquet file using JSON

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### def initializeMetrics(sc: SparkContext): Option[MetricsListener]

    Definition Classes
      BDGSparkCommand

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

17. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def printMetrics(totalTime: Long, metricsListener: Option[MetricsListener]): Unit

    Definition Classes
      BDGSparkCommand

33. #### def run(sc: SparkContext): Unit

    Definition Classes
      PrintADAM → BDGSparkCommand

34. #### def run(): Unit

    Definition Classes
      BDGSparkCommand → Runnable

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def withPrintStream(filename: Option[String])(op: (PrintStream) ⇒ Unit): Unit

    Safe output-stream “resource” function

    Safe output-stream “resource” function

    This function calls the function op on a java.io.PrintStream, if filename is None, it uses System.out. If the function ends with an exception, and filename is Some(_), the output stream will be closed.

    filename

      If provided, this is the output to print to. Else, if None, we print to System.out.

### Inherited from BDGSparkCommand[PrintADAMArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped